commit:     93559f080f0f1e56e5575b9ad7d54e4f5fabe666
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 18 07:01:10 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 18 07:06:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93559f08

sec-keys/openpgp-keys-libarchive: Bump to 20251118

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sec-keys/openpgp-keys-libarchive/Manifest          |  1 +
 .../openpgp-keys-libarchive-20251118.ebuild        | 24 ++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/sec-keys/openpgp-keys-libarchive/Manifest 
b/sec-keys/openpgp-keys-libarchive/Manifest
index 4956e3119513..d63a947f45b3 100644
--- a/sec-keys/openpgp-keys-libarchive/Manifest
+++ b/sec-keys/openpgp-keys-libarchive/Manifest
@@ -1 +1,2 @@
+DIST libarchive-659C84C0E23EA1FA97E0B58CC040B508D63D2B36.asc 5055 BLAKE2B 
3527a2d0d1ac058b391cfb2f3b82aca6e08b9e6ca12fdb9cb6122c553f33ab54b988f549a3236a7db4943a2cb036257ec8eada4e573bb856a0347c00fb6e1128
 SHA512 
2e119901eb6dc0d265eb78c7c3d45b6c5e3866c6903213d09a656292b32efc3fb36fe64ec23a4466ad0b2fe36abd881bbaa917a4eae57c3ac7fcea2516465ac9
 DIST libarchive-DB2C7CF1B4C265FAEF56E3FC5848A18B8F14184B.asc 3285 BLAKE2B 
e8a0b70c5d91dd55a79aa0ebc5312d26a28644d241dddf36f35af3d1416610402e311210db6d35afa47b8909d0d762a750d400f73bb88784d53714978904b3e4
 SHA512 
ae8c5ce65c5ea287e1a193c3f0c0ce40854bc3cfd91a14bef7012a0927137830f922ef023ad36e02a43490d1768d021ef0ef72ca2a1ac741b30d385b81357ba4

diff --git 
a/sec-keys/openpgp-keys-libarchive/openpgp-keys-libarchive-20251118.ebuild 
b/sec-keys/openpgp-keys-libarchive/openpgp-keys-libarchive-20251118.ebuild
new file mode 100644
index 000000000000..0abbecc3fa4b
--- /dev/null
+++ b/sec-keys/openpgp-keys-libarchive/openpgp-keys-libarchive-20251118.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OpenPGP keys used by the libarchive project"
+HOMEPAGE="https://www.libarchive.org/";
+SRC_URI="
+       
https://keys.openpgp.org/vks/v1/by-fingerprint/DB2C7CF1B4C265FAEF56E3FC5848A18B8F14184B
+               -> libarchive-DB2C7CF1B4C265FAEF56E3FC5848A18B8F14184B.asc
+       
https://keys.openpgp.org/vks/v1/by-fingerprint/659C84C0E23EA1FA97E0B58CC040B508D63D2B36
+               -> libarchive-659C84C0E23EA1FA97E0B58CC040B508D63D2B36.asc
+"
+S=${WORKDIR}
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+src_install() {
+       local files=( ${A} )
+       insinto /usr/share/openpgp-keys
+       newins - libarchive.org.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
+}

Reply via email to